Package com.google.protobuf

# Interface DescriptorProtos.FileDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FileDescriptorProto`, `DescriptorProtos.FileDescriptorProto.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.FileDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getDependency(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`ByteString`
`getDependencyBytes(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`int`
`getDependencyCount()`
`repeated string dependency = 3 [json_name = "dependency"];`
`List<String>`
`getDependencyList()`
`repeated string dependency = 3 [json_name = "dependency"];`
`DescriptorProtos.Edition`
`getEdition()`
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`
`DescriptorProtos.EnumDescriptorProto`
`getEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`int`
`getEnumTypeCount()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto>`
`getEnumTypeList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`getEnumTypeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>`
`getEnumTypeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FieldDescriptorProto`
`getExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`int`
`getExtensionCount()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getExtensionList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getExtensionOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getExtensionOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto`
`getMessageType(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`int`
`getMessageTypeCount()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<DescriptorProtos.DescriptorProto>`
`getMessageTypeList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProtoOrBuilder`
`getMessageTypeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<? extends DescriptorProtos.DescriptorProtoOrBuilder>`
`getMessageTypeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileOptions`
`getOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`String`
`getPackage()`
`optional string package = 2 [json_name = "package"];`
`ByteString`
`getPackageBytes()`
`optional string package = 2 [json_name = "package"];`
`int`
`getPublicDependency(int index)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`int`
`getPublicDependencyCount()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`List<Integer>`
`getPublicDependencyList()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`DescriptorProtos.ServiceDescriptorProto`
`getService(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`int`
`getServiceCount()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<DescriptorProtos.ServiceDescriptorProto>`
`getServiceList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProtoOrBuilder`
`getServiceOrBuilder(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>`
`getServiceOrBuilderList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.SourceCodeInfo`
`getSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.SourceCodeInfoOrBuilder`
`getSourceCodeInfoOrBuilder()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`String`
`getSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`ByteString`
`getSyntaxBytes()`
`optional string syntax = 12 [json_name = "syntax"];`
`int`
`getWeakDependency(int index)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`int`
`getWeakDependencyCount()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`List<Integer>`
`getWeakDependencyList()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`boolean`
`hasEdition()`
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`boolean`
`hasPackage()`
`optional string package = 2 [json_name = "package"];`
`boolean`
`hasSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`boolean`
`hasSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasPackage

boolean hasPackage()
`optional string package = 2 [json_name = "package"];`

Returns:
  Whether the package field is set.

### getPackage

String getPackage()
`optional string package = 2 [json_name = "package"];`

Returns:
  The package.

### getPackageBytes

ByteString getPackageBytes()
`optional string package = 2 [json_name = "package"];`

Returns:
  The bytes for package.

### getDependencyList

List<String> getDependencyList()
`repeated string dependency = 3 [json_name = "dependency"];`

Returns:
  A list containing the dependency.

### getDependencyCount

int getDependencyCount()
`repeated string dependency = 3 [json_name = "dependency"];`

Returns:
  The count of dependency.

### getDependency

String getDependency(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The dependency at the given index.

### getDependencyBytes

ByteString getDependencyBytes(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the dependency at the given index.

### getPublicDependencyList

List<Integer> getPublicDependencyList()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Returns:
  A list containing the publicDependency.

### getPublicDependencyCount

int getPublicDependencyCount()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Returns:
  The count of publicDependency.

### getPublicDependency

int getPublicDependency(int index)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The publicDependency at the given index.

### getWeakDependencyList

List<Integer> getWeakDependencyList()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Returns:
  A list containing the weakDependency.

### getWeakDependencyCount

int getWeakDependencyCount()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Returns:
  The count of weakDependency.

### getWeakDependency

int getWeakDependency(int index)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The weakDependency at the given index.

### getMessageTypeList

List<DescriptorProtos.DescriptorProto> getMessageTypeList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageType

DescriptorProtos.DescriptorProto getMessageType(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeCount

int getMessageTypeCount()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeOrBuilderList

List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getMessageTypeOrBuilder

DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

### getEnumTypeList

List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumType

DescriptorProtos.EnumDescriptorProto getEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeCount

int getEnumTypeCount()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeOrBuilderList

List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getEnumTypeOrBuilder

DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

### getServiceList

List<DescriptorProtos.ServiceDescriptorProto> getServiceList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getService

DescriptorProtos.ServiceDescriptorProto getService(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceCount

int getServiceCount()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceOrBuilderList

List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getServiceOrBuilder

DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

### getExtensionList

List<DescriptorProtos.FieldDescriptorProto> getExtensionList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtension

DescriptorProtos.FieldDescriptorProto getExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionCount

int getExtensionCount()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionOrBuilderList

List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### getExtensionOrBuilder

DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

### hasOptions

boolean hasOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.FileOptions getOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

### hasSourceCodeInfo

boolean hasSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Returns:
  Whether the sourceCodeInfo field is set.

### getSourceCodeInfo

DescriptorProtos.SourceCodeInfo getSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Returns:
  The sourceCodeInfo.

### getSourceCodeInfoOrBuilder

DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

### hasSyntax

boolean hasSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Returns:
  Whether the syntax field is set.

### getSyntax

String getSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Returns:
  The syntax.

### getSyntaxBytes

ByteString getSyntaxBytes()
`optional string syntax = 12 [json_name = "syntax"];`

Returns:
  The bytes for syntax.

### hasEdition

boolean hasEdition()
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`

Returns:
  Whether the edition field is set.

### getEdition

DescriptorProtos.Edition getEdition()
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`

Returns:
  The edition.